<!-- orderDetial  订单详情-->
<template>
  <div class="orderDetial">
    <div class="od-content flex flex-m">
      <img class="icon-img" src="@/assets/img/img/delivery_details.png" alt="">
      <div  class="od-f1 ml10">{{info.status |  BaseData('orders','status')}}</div>
      <!-- <div>订单金额 ¥{{info.total_amount}}</div> -->
    </div>

      <zwAddress
      class="m_brd"
      style="white-space: pre-line;"
      :receiver="info.receiver"
      :receiver_mobile="info.receiver_mobile"
      :address_text="info.address_text"
      :address="info.address" />

    <!-- 收获信息 -->
    <div  v-for="(item,index) in info.order_packages" :key="index">
    <div class="mt15 m_brd" v-for="(sn,indexSn) in separateSn(item.express_sn)" :key="indexSn" @click="goPackages(item,sn)">
        <div class=" address flex flex-m ">
        <van-icon :color="m_color" name="logistics" size="0.4rem" />
        <div class="flex-1 ml10 mr10">
          <div>
            <div>  <span class="">{{item.express}}</span></div>
            <div class="mt10 m_gray">快递单号 {{sn}}</div>
          </div>
        </div>
        <van-icon name="arrow" />
      </div>
    </div>
    </div>






    <!-- 商品列表 -->
    <div class="m_brd mt15">
      <van-card class="bgfff " @click="goodesDetail(order_goods)" v-for="(order_goods,index) in info.order_goods" :key="index" :num="order_goods.num" :price="order_goods.price" :title="order_goods.title" :thumb="order_goods.images |img">
      <div slot="bottom">
              <div v-if="order_goods.option_title">{{order_goods.option_title | replaceStr}}</div>
            </div>
      <div slot="footer">
        <div><span class="m_red">{{order_goods.num}}</span> {{order_goods.unit | unit}}商品，小计<span class="m_red"> ¥ {{order_goods.total}}</span></div>
        <div class="mt10" v-if="info.status==3&&order_goods.is_comment!=1">
          <div @click.stop="goEvaluate(order_goods)" class="btn-o ptb0">评价</div>
        </div>
         <div class="mt10" v-if="order_goods.is_comment==1">
          <div  class="btn-o-b ptb0">已评价</div>
        </div>
      </div>
    </van-card>

    </div>


    <!-- 商品总额 -->
    <div class="od-price m_brd" >
      <div class="flex flex-m flex-b mb5">
        <div>商品总额</div>
        <div>¥<span class="ml5">{{info.goods_amount}}</span></div>
      </div>
      <div class="flex flex-m flex-b mb5">
        <div>运费</div>
        <div>¥<span class="ml5">{{info.express_amount}}</span></div>
      </div>
      <div class="flex flex-m flex-b">
        <div>总计</div>
        <div class=""><span class="m_pricr ml5">¥ {{info.total_amount}}</span></div>
      </div>
    </div>

    <!-- 时间 -->
    <div class="od-time m_brd">
        <div class="flex flex-m flex-b  mb5 ">
        <div>支付类型</div>
        <div class="ml10">{{info.type|  BaseData('orders','type')}}</div>
      </div>
      <div class="flex flex-m flex-b  mb5 ">
        <div>订单编号</div>
        <div class="ml10">{{info.order_no}}</div>
      </div>

      <div class="flex flex-m flex-b  mb5 ">
        <div>创建时间</div>
        <div class="ml10">{{info.created_at}}</div>
      </div>



      <div class="flex flex-m flex-b  mb5 " v-if="info.pay_time">
        <div>支付时间</div>
        <div class="ml10">{{info.pay_time}}</div>
      </div>

      <div class="flex flex-m flex-b mb5 " v-if="info.deliver_time">
        <div>发货时间</div>
        <div class="ml10">{{info.deliver_time}}</div>
      </div>

      <div class="flex flex-m flex-b  " v-if="info.finished_time">
        <div>完成时间</div>
        <div class="ml10">{{info.finished_time}}</div>
      </div>

      <div class="flex flex-m flex-b  " v-if="info.close_time">
        <div>关闭时间</div>
        <div class="ml10">{{info.close_time}}</div>
      </div>
    </div>

    <div>
      <div class="od-footer ">
        <div  v-if="info.status==0" @click.stop="order_close(info )" class="btn-o-b mr10">取消订单</div>
        <div  v-if="info.status==0" @click.stop="goPay(info )" class="btn-o">支付订单</div>
         <div v-if="info.status==2"  @click.stop="order_confirm(info )" class="btn-o-b mr10">确认收货</div>
         <div v-if="(info.status==1||info.status==2)&&info.refund_id==0&&info.allow_refund==true" @click.stop="refund(info )" class="btn-o-b"> 申请退款</div>
         <div v-if="info.refund_id!=0" @click="routerPush"  class="btn-o-b">查看退款</div>
      </div>


    </div>
  </div>
</template>

<script>

import mixin from './mixin/index'
export default {
  name: 'orderDetial',
  mixins: [mixin],
  data() {
    return {
      info: {
        order_goods: [],
        order_packages: []
      }
    }
  },
  created() {
    this.init()
  },
  methods: {
    //初始化方法
    init() {
      this.getInfo()
    },
    getInfo() {
      let query = this.$route.query
      let id = query.id
      this.m_loading()
      this.api.order_detail({ id }).then(res => {
        console.log(res)
        this.info = res.data
        this.m_hideLoading()

      })
    },

    order_close_cb(row, index) {
      sessionStorage.order_status = '-1'
      setTimeout(() => {
        this.getInfo()
      }, 1000)
    },
    separateSn (rawSn) {
      let data = rawSn.split('|').map((el) => el.trim())
      console.log(data)
      return data
    },
    goPackages(item,sn) {

      let packagesGoodsData =  this.findGoods(item.id)
      sessionStorage.packagesGoodsData = JSON.stringify(packagesGoodsData)
      this.$router.push({
        path: "/package_detail",
        query: {
          express_id: item.express_id,
          express_sn: sn,
          custom_code: item.custom_code,
          id: item.id,
        }
      })

    },

    goodesDetail(item) {
      this.$router.push(`/goodsDetail?id=${item.goods_id}`)
    },

    goEvaluate(item) {
      console.log(item)
      sessionStorage.evaluateData = JSON.stringify(item)
      this.$router.push(`/evaluate?id=${item.goods_id}`)
    },

    //确认收货
    order_confirm(item) {
      this.$dialog.confirm({
        title: '提示',
        message: '是否确认收货？'
      }).then(() => {
        console.log(item)
        this.api.order_confirm({id:item.id}).then(res=>{
          this.m_hideLoading()
          this.m_success('操作成功')
          sessionStorage.order_status = this.info.status
          this.getInfo()


        })
      }).catch((err) => {
        console.log(err)
      });

    },

    refund(){
      sessionStorage.refundData = JSON.stringify(this.info)
      this.$router.push('/refund')
    },
    findGoods(v){
      let goods = this.info.order_goods.filter(i=>i.package_id==v)
      return goods
    },

    routerPush(){
      this.$router.push(`/refundiDetail?id=${this.info.refund_id}`)
    }
  },
}

</script>
<style lang='scss' scoped>
.orderDetial {
  padding-bottom: 1.4rem;
  padding-right: 0.3rem;
  padding-left: 0.3rem;
}
.od-content {
  margin-top: 0.3rem;
  color: #444;
  font-weight: bold;
  font-size: 0.4rem;
   margin-bottom: 0.3rem;
  .od-f1 {
    font-size: 0.4rem;

  }
}



.od-price {
  margin-top: 0.3rem;
  padding: 0.26rem;
  background: #fff;
  color: #333;
}

.od-time {
  margin-top: 0.3rem;
  padding: 0.26rem;
  background: #fff;
  color: #8F8F8F;
}

.od-footer {
  text-align: right;
  width: 100%;
  // padding: 0.3rem 0.26rem;
  box-sizing: border-box;
  background: #fff;
  border-top: 1px solid #eee;
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  div{
    margin: 0.3rem 0.26rem;
  }
}

.ptb0{
  padding-top:2px !important ;
   padding-bottom:2px !important ;
}

.icon-img{
  width: 0.46rem;
  height: 0.42rem;
  display: block;
  margin-right: 0.1rem;
}

.address {
  padding: 0.26rem;
  box-sizing: border-box;
  background: #fff;
}
</style>
